NX Open C++ Reference Guide
|
Represents a Tooling::AssemblyDrawingBuilder which is used to create or edit the Assembly Drawing. More...
Public Types | |
enum | AttributeNames { AttributeNamesMwSide, AttributeNamesMwComponentName } |
Specifies the attribute name. More... | |
enum | AttributeValues { AttributeValuesA, AttributeValuesB, AttributeValuesHide } |
Specifies the attribute value. More... | |
enum | DrawingCreateOrEdit { DrawingCreateOrEditCreateNew, DrawingCreateOrEditSh1 } |
Specifies the sheet operation. More... | |
enum | DrawingTypes { DrawingTypesMasterModel, DrawingTypesSelfContained } |
Specifies the drawing type. More... | |
enum | ModelViewToUseValue { ModelViewToUseValueTop, ModelViewToUseValueFront, ModelViewToUseValueRight, ModelViewToUseValueBack, ModelViewToUseValueBottom, ModelViewToUseValueLeft, ModelViewToUseValueIsometric, ModelViewToUseValueTrimetric } |
Specifies the model view to use. More... | |
enum | Types { TypesVisibility, TypesDrawing, TypesView } |
Specifies the filter of assembly. More... | |
enum | ViewOptionValue { ViewOptionValueDefaultView, ViewOptionValueBaseViewTool } |
Specifies the view options. More... | |
Public Member Functions | |
void | AddSectionView () |
The option for add section view Created in NX8.5.0. | |
void | AddView (NXOpen::NXObject *viewTag, const NXString &attrName, std::vector< NXString > &componentType) |
The option for add view Created in NX8.5.0. | |
void | AddView (NXOpen::NXObject *viewTag, const char *attrName, std::vector< NXString > &componentType) |
The option for add view Created in NX8.5.0. | |
void | AssignAttr (const std::vector< NXOpen::NXObject * > &selectdObjs, const NXString &attrName, const NXString &attrValue) |
Assign attribute Created in NX8.5.0. | |
void | AssignAttr (const std::vector< NXOpen::NXObject * > &selectdObjs, const char *attrName, const char *attrValue) |
Assign attribute Created in NX8.5.0. | |
void | CreateDrawing (const NXString &sheetName, const NXString &templateName) |
Create drawing Created in NX8.5.0. | |
void | CreateDrawing (const char *sheetName, const char *templateName) |
Create drawing Created in NX8.5.0. | |
void | CreateSectionView (const NXString &viewName, NXOpen::NXObject *parentView, const std::vector< double > &stepDirection, const std::vector< double > &arrowdirection, const std::vector< double > &pointX, const std::vector< double > &pointY, const std::vector< double > &pointZ, const std::vector< int > &segmentType, const NXString &attrName, std::vector< NXString > &attrValueList) |
Create section view Created in NX8.5.0. | |
void | CreateSectionView (const char *viewName, NXOpen::NXObject *parentView, const std::vector< double > &stepDirection, const std::vector< double > &arrowdirection, const std::vector< double > &pointX, const std::vector< double > &pointY, const std::vector< double > &pointZ, const std::vector< int > &segmentType, const char *attrName, std::vector< NXString > &attrValueList) |
Create section view Created in NX8.5.0. | |
void | CreateView (const NXString &viewName, double viewScale) |
Create view Created in NX8.5.0. | |
void | CreateView (const char *viewName, double viewScale) |
Create view Created in NX8.5.0. | |
NXOpen::NXObject * | CreateViewToShowComponents (const NXString &viewName) |
Create view to show components. | |
NXOpen::NXObject * | CreateViewToShowComponents (const char *viewName) |
Create view to show components. | |
bool | DeleteButtonClicked () |
Returns the delete button clicked attribute Created in NX8.5.0. | |
void | DeleteSheet (const NXString &selectedSheetName) |
Delete the sheet Created in NX8.5.0. | |
void | DeleteSheet (const char *selectedSheetName) |
Delete the sheet Created in NX8.5.0. | |
void | DeleteView (const NXString &viewName) |
Delete view Created in NX8.5.0. | |
void | DeleteView (const char *viewName) |
Delete view Created in NX8.5.0. | |
double | DoubleViewScale () |
Returns a double view scale Created in NX8.5.0. | |
void | EditDrawing (const NXString &sheetName, const NXString &templateName) |
Edit drawing Created in NX8.5.0. | |
void | EditDrawing (const char *sheetName, const char *templateName) |
Edit drawing Created in NX8.5.0. | |
NXOpen::Tooling::AssemblyDrawingBuilder::AttributeNames | EnumAttributeName () |
Returns the option for select the attribute name Created in NX8.5.0. | |
NXOpen::Tooling::AssemblyDrawingBuilder::AttributeValues | EnumAttributeValue () |
Returns the option for select the attribute value Created in NX8.5.0. | |
NXOpen::Tooling::AssemblyDrawingBuilder::DrawingTypes | EnumDrawingType () |
Returns the option for the assembly drawing operation Created in NX8.5.0. | |
NXOpen::Tooling::AssemblyDrawingBuilder::DrawingCreateOrEdit | EnumSheets () |
Returns the option for select the sheet Created in NX8.5.0. | |
NXOpen::Tooling::AssemblyDrawingBuilder::ModelViewToUseValue | ModelViewToUse () |
Returns the option for model view to use Created in NX8.5.0. | |
void | NewMasterModelFile (const NXString &masterModelFileName) |
Create a new master model file Created in NX8.5.0. | |
void | NewMasterModelFile (const char *masterModelFileName) |
Create a new master model file Created in NX8.5.0. | |
void | OpenMasterModelFile (const NXString &masterModelFileName) |
Open the master model file Created in NX8.5.0. | |
void | OpenMasterModelFile (const char *masterModelFileName) |
Open the master model file Created in NX8.5.0. | |
void | RetrieveSheet (const NXString &selectedSheetName) |
Retrieve the sheet Created in NX8.5.0. | |
void | RetrieveSheet (const char *selectedSheetName) |
Retrieve the sheet Created in NX8.5.0. | |
bool | ScaleModified () |
Returns the scale modified attribute Created in NX8.5.0. | |
bool | SectionViewButtonClicked () |
Returns the section view button clicked attribute Created in NX8.5.0. | |
void | SetDeleteButtonClicked (bool deleteButtonClicked) |
Sets the delete button clicked attribute Created in NX8.5.0. | |
void | SetDoubleViewScale (double doubleViewScale) |
Sets a double view scale Created in NX8.5.0. | |
void | SetEnumAttributeName (NXOpen::Tooling::AssemblyDrawingBuilder::AttributeNames enumAttributeName) |
Sets the option for select the attribute name Created in NX8.5.0. | |
void | SetEnumAttributeValue (NXOpen::Tooling::AssemblyDrawingBuilder::AttributeValues enumAttributeValue) |
Sets the option for select the attribute value Created in NX8.5.0. | |
void | SetEnumDrawingType (NXOpen::Tooling::AssemblyDrawingBuilder::DrawingTypes enumDrawingType) |
Sets the option for the assembly drawing operation Created in NX8.5.0. | |
void | SetEnumSheets (NXOpen::Tooling::AssemblyDrawingBuilder::DrawingCreateOrEdit enumSheets) |
Sets the option for select the sheet Created in NX8.5.0. | |
void | SetModelViewToUse (NXOpen::Tooling::AssemblyDrawingBuilder::ModelViewToUseValue modelViewToUseValue) |
Sets the option for model view to use Created in NX8.5.0. | |
void | SetScaleModified (bool scaleModified) |
Sets the scale modified attribute Created in NX8.5.0. | |
void | SetSectionViewButtonClicked (bool sectionViewButtonClicked) |
Sets the section view button clicked attribute Created in NX8.5.0. | |
void | SetStringFilterRule (const NXString &stringFilterRule) |
Sets the Filter rule Created in NX8.5.0. | |
void | SetStringFilterRule (const char *stringFilterRule) |
Sets the Filter rule Created in NX8.5.0. | |
void | SetStringNameRule (const NXString &stringNameRule) |
Sets the string name rule Created in NX8.5.0. | |
void | SetStringNameRule (const char *stringNameRule) |
Sets the string name rule Created in NX8.5.0. | |
void | SetStringSheetName (const NXString &stringSheetName) |
Sets the sheet name Created in NX8.5.0. | |
void | SetStringSheetName (const char *stringSheetName) |
Sets the sheet name Created in NX8.5.0. | |
void | SetTgShowA (bool tgShowA) |
Sets the A attribute Created in NX8.5.0. | |
void | SetTgShowB (bool tgShowB) |
Sets the B attribute Created in NX8.5.0. | |
void | SetToggleBlankComponentsWithAttribute (bool toggleBlankComponentsWithAttribute) |
Sets the blank components with attribute Created in NX8.5.0. | |
void | SetToggleListDependents (bool toggleListDependents) |
Sets the List dependents Created in NX8.5.0. | |
void | SetToggleShowOnly (bool showOnly) |
Sets the only show components with attribute toggle Created in NX8.5.0. | |
void | SetType (NXOpen::Tooling::AssemblyDrawingBuilder::Types type) |
Sets the option for the Assembly drawing operation Created in NX8.5.0. | |
void | SetViewLocation (NXOpen::Point *viewLocation) |
Sets the view location Created in NX8.5.0. | |
void | SetViewOption (NXOpen::Tooling::AssemblyDrawingBuilder::ViewOptionValue viewOptionValue) |
Sets the option for view tools Created in NX8.5.0. | |
void | SetWizardType (int wizardType) |
Sets the wizard type attribute Created in NX8.5.0. | |
NXString | StringFilterRule () |
Returns the Filter rule Created in NX8.5.0. | |
NXString | StringNameRule () |
Returns the string name rule Created in NX8.5.0. | |
NXString | StringSheetName () |
Returns the sheet name Created in NX8.5.0. | |
bool | TgShowA () |
Returns the A attribute Created in NX8.5.0. | |
bool | TgShowB () |
Returns the B attribute Created in NX8.5.0. | |
bool | ToggleBlankComponentsWithAttribute () |
Returns the blank components with attribute Created in NX8.5.0. | |
bool | ToggleListDependents () |
Returns the List dependents Created in NX8.5.0. | |
bool | ToggleShowOnly () |
Returns the only show components with attribute toggle Created in NX8.5.0. | |
NXOpen::Tooling::AssemblyDrawingBuilder::Types | Type () |
Returns the option for the Assembly drawing operation Created in NX8.5.0. | |
NXOpen::Point * | ViewLocation () |
Returns the view location Created in NX8.5.0. | |
NXOpen::Tooling::AssemblyDrawingBuilder::ViewOptionValue | ViewOption () |
Returns the option for view tools Created in NX8.5.0. | |
int | WizardType () |
Returns the wizard type attribute Created in NX8.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::AssemblyDrawingBuilder which is used to create or edit the Assembly Drawing.
<br> To create a new instance of this class, use @link Tooling::ToolingDrawingCollection::CreateAssemblyDrawingBuilder Tooling::ToolingDrawingCollection::CreateAssemblyDrawingBuilder @endlink <br>
Default values.
Property | Value |
---|---|
DoubleViewScale |
1 |
EnumAttributeName |
MwSide |
EnumAttributeValue |
A |
EnumDrawingType |
MasterModel |
EnumSheets |
CreateNew |
ModelViewToUse |
Top |
TgShowA |
0 |
TgShowB |
0 |
ToggleBlankComponentsWithAttribute |
0 |
ToggleListDependents |
0 |
ToggleShowOnly |
0 |
ViewOption |
DefaultView |
Created in NX8.5.0.
Specifies the model view to use.
void NXOpen::Tooling::AssemblyDrawingBuilder::AddSectionView | ( | ) |
The option for add section view
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::AssemblyDrawingBuilder::AddView | ( | NXOpen::NXObject * | viewTag, |
const NXString & | attrName, | ||
std::vector< NXString > & | componentType | ||
) |
The option for add view
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewTag | viewtag |
attrName | NOTE: The full Unicode character set is not supported for this parameter. |
componentType | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Tooling::AssemblyDrawingBuilder::AddView | ( | NXOpen::NXObject * | viewTag, |
const char * | attrName, | ||
std::vector< NXString > & | componentType | ||
) |
The option for add view
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewTag | viewtag |
attrName | NOTE: The full Unicode character set is not supported for this parameter. |
componentType | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Tooling::AssemblyDrawingBuilder::AssignAttr | ( | const std::vector< NXOpen::NXObject * > & | selectdObjs, |
const NXString & | attrName, | ||
const NXString & | attrValue | ||
) |
Assign attribute
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
selectdObjs | selectdobjs |
attrName | attrname |
attrValue | attrvalue |
void NXOpen::Tooling::AssemblyDrawingBuilder::AssignAttr | ( | const std::vector< NXOpen::NXObject * > & | selectdObjs, |
const char * | attrName, | ||
const char * | attrValue | ||
) |
Assign attribute
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
selectdObjs | selectdobjs |
attrName | attrname |
attrValue | attrvalue |
void NXOpen::Tooling::AssemblyDrawingBuilder::CreateDrawing | ( | const NXString & | sheetName, |
const NXString & | templateName | ||
) |
Create drawing
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
sheetName | sheetname |
templateName | templatename |
void NXOpen::Tooling::AssemblyDrawingBuilder::CreateDrawing | ( | const char * | sheetName, |
const char * | templateName | ||
) |
Create drawing
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
sheetName | sheetname |
templateName | templatename |
void NXOpen::Tooling::AssemblyDrawingBuilder::CreateSectionView | ( | const NXString & | viewName, |
NXOpen::NXObject * | parentView, | ||
const std::vector< double > & | stepDirection, | ||
const std::vector< double > & | arrowdirection, | ||
const std::vector< double > & | pointX, | ||
const std::vector< double > & | pointY, | ||
const std::vector< double > & | pointZ, | ||
const std::vector< int > & | segmentType, | ||
const NXString & | attrName, | ||
std::vector< NXString > & | attrValueList | ||
) |
Create section view
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewName | viewname |
parentView | parentview |
stepDirection | stepdirection |
arrowdirection | arrowdirection |
pointX | pointx |
pointY | pointy |
pointZ | pointz |
segmentType | segmenttype |
attrName | NOTE: The full Unicode character set is not supported for this parameter. |
attrValueList | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Tooling::AssemblyDrawingBuilder::CreateSectionView | ( | const char * | viewName, |
NXOpen::NXObject * | parentView, | ||
const std::vector< double > & | stepDirection, | ||
const std::vector< double > & | arrowdirection, | ||
const std::vector< double > & | pointX, | ||
const std::vector< double > & | pointY, | ||
const std::vector< double > & | pointZ, | ||
const std::vector< int > & | segmentType, | ||
const char * | attrName, | ||
std::vector< NXString > & | attrValueList | ||
) |
Create section view
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewName | viewname |
parentView | parentview |
stepDirection | stepdirection |
arrowdirection | arrowdirection |
pointX | pointx |
pointY | pointy |
pointZ | pointz |
segmentType | segmenttype |
attrName | NOTE: The full Unicode character set is not supported for this parameter. |
attrValueList | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Tooling::AssemblyDrawingBuilder::CreateView | ( | const NXString & | viewName, |
double | viewScale | ||
) |
Create view
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewName | viewname |
viewScale | viewscale |
void NXOpen::Tooling::AssemblyDrawingBuilder::CreateView | ( | const char * | viewName, |
double | viewScale | ||
) |
Create view
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewName | viewname |
viewScale | viewscale |
NXOpen::NXObject* NXOpen::Tooling::AssemblyDrawingBuilder::CreateViewToShowComponents | ( | const NXString & | viewName | ) |
Create view to show components.
viewName | viewname |
NXOpen::NXObject* NXOpen::Tooling::AssemblyDrawingBuilder::CreateViewToShowComponents | ( | const char * | viewName | ) |
Create view to show components.
viewName | viewname |
bool NXOpen::Tooling::AssemblyDrawingBuilder::DeleteButtonClicked | ( | ) |
Returns the delete button clicked attribute
Created in NX8.5.0.
License requirements : None
void NXOpen::Tooling::AssemblyDrawingBuilder::DeleteSheet | ( | const NXString & | selectedSheetName | ) |
Delete the sheet
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
selectedSheetName | selectedsheetname |
void NXOpen::Tooling::AssemblyDrawingBuilder::DeleteSheet | ( | const char * | selectedSheetName | ) |
Delete the sheet
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
selectedSheetName | selectedsheetname |
void NXOpen::Tooling::AssemblyDrawingBuilder::DeleteView | ( | const NXString & | viewName | ) |
Delete view
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Tooling::AssemblyDrawingBuilder::DeleteView | ( | const char * | viewName | ) |
Delete view
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewName | NOTE: The full Unicode character set is not supported for this parameter. |
double NXOpen::Tooling::AssemblyDrawingBuilder::DoubleViewScale | ( | ) |
Returns a double view scale
Created in NX8.5.0.
License requirements : None
void NXOpen::Tooling::AssemblyDrawingBuilder::EditDrawing | ( | const NXString & | sheetName, |
const NXString & | templateName | ||
) |
Edit drawing
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
sheetName | sheetname |
templateName | templatename |
void NXOpen::Tooling::AssemblyDrawingBuilder::EditDrawing | ( | const char * | sheetName, |
const char * | templateName | ||
) |
Edit drawing
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
sheetName | sheetname |
templateName | templatename |
NXOpen::Tooling::AssemblyDrawingBuilder::AttributeNames NXOpen::Tooling::AssemblyDrawingBuilder::EnumAttributeName | ( | ) |
Returns the option for select the attribute name
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AssemblyDrawingBuilder::AttributeValues NXOpen::Tooling::AssemblyDrawingBuilder::EnumAttributeValue | ( | ) |
Returns the option for select the attribute value
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AssemblyDrawingBuilder::DrawingTypes NXOpen::Tooling::AssemblyDrawingBuilder::EnumDrawingType | ( | ) |
Returns the option for the assembly drawing operation
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AssemblyDrawingBuilder::DrawingCreateOrEdit NXOpen::Tooling::AssemblyDrawingBuilder::EnumSheets | ( | ) |
Returns the option for select the sheet
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AssemblyDrawingBuilder::ModelViewToUseValue NXOpen::Tooling::AssemblyDrawingBuilder::ModelViewToUse | ( | ) |
Returns the option for model view to use
Created in NX8.5.0.
License requirements : None
void NXOpen::Tooling::AssemblyDrawingBuilder::NewMasterModelFile | ( | const NXString & | masterModelFileName | ) |
Create a new master model file
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
masterModelFileName | mastermodelfilename |
void NXOpen::Tooling::AssemblyDrawingBuilder::NewMasterModelFile | ( | const char * | masterModelFileName | ) |
Create a new master model file
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
masterModelFileName | mastermodelfilename |
void NXOpen::Tooling::AssemblyDrawingBuilder::OpenMasterModelFile | ( | const NXString & | masterModelFileName | ) |
Open the master model file
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
masterModelFileName | mastermodelfilename |
void NXOpen::Tooling::AssemblyDrawingBuilder::OpenMasterModelFile | ( | const char * | masterModelFileName | ) |
Open the master model file
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
masterModelFileName | mastermodelfilename |
void NXOpen::Tooling::AssemblyDrawingBuilder::RetrieveSheet | ( | const NXString & | selectedSheetName | ) |
Retrieve the sheet
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
selectedSheetName | selectedsheetname |
void NXOpen::Tooling::AssemblyDrawingBuilder::RetrieveSheet | ( | const char * | selectedSheetName | ) |
Retrieve the sheet
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
selectedSheetName | selectedsheetname |
bool NXOpen::Tooling::AssemblyDrawingBuilder::ScaleModified | ( | ) |
Returns the scale modified attribute
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::AssemblyDrawingBuilder::SectionViewButtonClicked | ( | ) |
Returns the section view button clicked attribute
Created in NX8.5.0.
License requirements : None
void NXOpen::Tooling::AssemblyDrawingBuilder::SetDeleteButtonClicked | ( | bool | deleteButtonClicked | ) |
Sets the delete button clicked attribute
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
deleteButtonClicked | deletebuttonclicked |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetDoubleViewScale | ( | double | doubleViewScale | ) |
Sets a double view scale
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
doubleViewScale | doubleviewscale |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetEnumAttributeName | ( | NXOpen::Tooling::AssemblyDrawingBuilder::AttributeNames | enumAttributeName | ) |
Sets the option for select the attribute name
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
enumAttributeName | enumattributename |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetEnumAttributeValue | ( | NXOpen::Tooling::AssemblyDrawingBuilder::AttributeValues | enumAttributeValue | ) |
Sets the option for select the attribute value
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
enumAttributeValue | enumattributevalue |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetEnumDrawingType | ( | NXOpen::Tooling::AssemblyDrawingBuilder::DrawingTypes | enumDrawingType | ) |
Sets the option for the assembly drawing operation
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
enumDrawingType | enumdrawingtype |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetEnumSheets | ( | NXOpen::Tooling::AssemblyDrawingBuilder::DrawingCreateOrEdit | enumSheets | ) |
Sets the option for select the sheet
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
enumSheets | enumsheets |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetModelViewToUse | ( | NXOpen::Tooling::AssemblyDrawingBuilder::ModelViewToUseValue | modelViewToUseValue | ) |
Sets the option for model view to use
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
modelViewToUseValue | modelviewtousevalue |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetScaleModified | ( | bool | scaleModified | ) |
Sets the scale modified attribute
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
scaleModified | scalemodified |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetSectionViewButtonClicked | ( | bool | sectionViewButtonClicked | ) |
Sets the section view button clicked attribute
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
sectionViewButtonClicked | sectionviewbuttonclicked |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetStringFilterRule | ( | const NXString & | stringFilterRule | ) |
Sets the Filter rule
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
stringFilterRule | stringfilterrule |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetStringFilterRule | ( | const char * | stringFilterRule | ) |
Sets the Filter rule
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
stringFilterRule | stringfilterrule |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetStringNameRule | ( | const NXString & | stringNameRule | ) |
Sets the string name rule
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
stringNameRule | stringnamerule |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetStringNameRule | ( | const char * | stringNameRule | ) |
Sets the string name rule
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
stringNameRule | stringnamerule |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetStringSheetName | ( | const NXString & | stringSheetName | ) |
Sets the sheet name
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
stringSheetName | stringsheetname |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetStringSheetName | ( | const char * | stringSheetName | ) |
Sets the sheet name
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
stringSheetName | stringsheetname |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetTgShowA | ( | bool | tgShowA | ) |
Sets the A attribute
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
tgShowA | tgshowa |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetTgShowB | ( | bool | tgShowB | ) |
Sets the B attribute
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
tgShowB | tgshowb |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetToggleBlankComponentsWithAttribute | ( | bool | toggleBlankComponentsWithAttribute | ) |
Sets the blank components with attribute
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
toggleBlankComponentsWithAttribute | toggleblankcomponentswithattribute |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetToggleListDependents | ( | bool | toggleListDependents | ) |
Sets the List dependents
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
toggleListDependents | togglelistdependents |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetToggleShowOnly | ( | bool | showOnly | ) |
Sets the only show components with attribute toggle
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
showOnly | showonly |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetType | ( | NXOpen::Tooling::AssemblyDrawingBuilder::Types | type | ) |
Sets the option for the Assembly drawing operation
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
type | type |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetViewLocation | ( | NXOpen::Point * | viewLocation | ) |
Sets the view location
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewLocation | viewlocation |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetViewOption | ( | NXOpen::Tooling::AssemblyDrawingBuilder::ViewOptionValue | viewOptionValue | ) |
Sets the option for view tools
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
viewOptionValue | viewoptionvalue |
void NXOpen::Tooling::AssemblyDrawingBuilder::SetWizardType | ( | int | wizardType | ) |
Sets the wizard type attribute
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")
wizardType | wizardtype |
NXString NXOpen::Tooling::AssemblyDrawingBuilder::StringFilterRule | ( | ) |
Returns the Filter rule
Created in NX8.5.0.
License requirements : None
NXString NXOpen::Tooling::AssemblyDrawingBuilder::StringNameRule | ( | ) |
Returns the string name rule
Created in NX8.5.0.
License requirements : None
NXString NXOpen::Tooling::AssemblyDrawingBuilder::StringSheetName | ( | ) |
Returns the sheet name
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::AssemblyDrawingBuilder::TgShowA | ( | ) |
Returns the A attribute
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::AssemblyDrawingBuilder::TgShowB | ( | ) |
Returns the B attribute
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::AssemblyDrawingBuilder::ToggleBlankComponentsWithAttribute | ( | ) |
Returns the blank components with attribute
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::AssemblyDrawingBuilder::ToggleListDependents | ( | ) |
Returns the List dependents
Created in NX8.5.0.
License requirements : None
bool NXOpen::Tooling::AssemblyDrawingBuilder::ToggleShowOnly | ( | ) |
Returns the only show components with attribute toggle
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AssemblyDrawingBuilder::Types NXOpen::Tooling::AssemblyDrawingBuilder::Type | ( | ) |
Returns the option for the Assembly drawing operation
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::Tooling::AssemblyDrawingBuilder::ViewLocation | ( | ) |
Returns the view location
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::AssemblyDrawingBuilder::ViewOptionValue NXOpen::Tooling::AssemblyDrawingBuilder::ViewOption | ( | ) |
Returns the option for view tools
Created in NX8.5.0.
License requirements : None
int NXOpen::Tooling::AssemblyDrawingBuilder::WizardType | ( | ) |
Returns the wizard type attribute
Created in NX8.5.0.
License requirements : None